#! /bin/sh -ev

PREFIX="/sw"
FLIBDIR="$PREFIX/lib/gcc4.9/lib"
qt_type="mac"

export PATH="/sw/lib/qt4-$qt_type/bin:$PATH"

export build_alias="x86_64-apple-darwin"
export host_alias="x86_64-apple-darwin"
export CC="$PREFIX/var/lib/fink/path-prefix-clang/cc"
export CFLAGS="-O3 -MD -D_THREAD_SAFE -pthread"
export CPPFLAGS="-I/usr/X11/include -I$PREFIX/include"
export CXX="$PREFIX/var/lib/fink/path-prefix-libcxx/c++"
export CXXFLAGS="$CFLAGS"
export LDFLAGS="-Wl,-dead_strip_dylibs"
export LIBS="-lm -lgl2ps"
export F77="$PREFIX/bin/gfortran-fsf-4.9"
export FFLAGS="-O3"
export FLIBS="-L${FLIBDIR} -lgfortran"
export PKG_CONFIG="$PREFIX/bin/pykg-config"
export PKG_CONFIG_PATH="$PREFIX/lib/qt4-${qt_type}/lib/pkgconfig:$PKG_CONFIG_PATH"
export PATH="$PREFIX/lib/qt4-${qt_type}/bin:$PATH"
# QtCore is inherited
export LDFLAGS=`pkg-config QtNetwork --libs`" "`pkg-config QtGui --libs`" -L$PREFIX/lib/qt4-${qt_type}/lib $LDFLAGS"
export LDFLAGS="$LDFLAGS -L$PREFIX/lib -framework JavaVM"
export "JAVA_HOME=/System/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home"

# Configure for Fink
./configure --prefix=$PREFIX \
            --libexecdir=$PREFIX/lib \
            --with-lapack=-ltatlas \
            --with-blas=-ltatlas \
            --with-magick=GraphicsMagick \
            --with-qhull-includedir=$PREFIX/include/libqhull \
            --host=$HOSTTYPE-apple-darwin \
            --build=$HOSTTYPE-apple-darwin \
            --infodir=$PREFIX/share/info \
            --mandir=$PREFIX/share/man \
            --libexecdir=${PREFIX}/lib \
            --enable-shared \
            --enable-dl \
            --enable-docs \
            --disable-static \
            --enable-gui \
            --with-opengl \
            --with-framework-carbon \
            --without-x \
            --enable-dependency-tracking \
            --enable-link-all-dependencies \
            --without-OSMesa

